/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Bancos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface BancosFacadeLocal {

    void create(Bancos bancos);

    void edit(Bancos bancos);

    void remove(Bancos bancos);

    Bancos find(Object id);

    List<Bancos> findAll();

    List<Bancos> findRange(int[] range);

    int count();

    List<Bancos> buscarBancos();

}
